Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeScalingActivitiesResult

    java.lang.Object
      com.amazonaws.services.autoscaling.model.DescribeScalingActivitiesResult

    public class DescribeScalingActivitiesResult

extends Object

Constructor Summary
`DescribeScalingActivitiesResult()`

Method Summary
`List<Activity>` | `getActivities()` A list of the requested scaling activities.
`String` | `getNextToken()` Acts as a paging mechanism for large result sets.
`void` | `setActivities(Collection<Activity> activities)` A list of the requested scaling activities.
`void` | `setNextToken(String nextToken)` Acts as a paging mechanism for large result sets.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeScalingActivitiesResult` | `withActivities(Activity... activities)` A list of the requested scaling activities.
`DescribeScalingActivitiesResult` | `withActivities(Collection<Activity> activities)` A list of the requested scaling activities.
`DescribeScalingActivitiesResult` | `withNextToken(String nextToken)` Acts as a paging mechanism for large result sets.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeScalingActivitiesResult

    public DescribeScalingActivitiesResult()

Method Detail

### getActivities

    public List<Activity> getActivities()

  A list of the requested scaling activities.

  Returns:
    A list of the requested scaling activities.

### setActivities

    public void setActivities(Collection<Activity> activities)

  A list of the requested scaling activities.

  Parameters:
    `activities` - A list of the requested scaling activities.

### withActivities

    public DescribeScalingActivitiesResult withActivities(Activity... activities)

  A list of the requested scaling activities.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `activities` - A list of the requested scaling activities.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withActivities

    public DescribeScalingActivitiesResult withActivities(Collection<Activity> activities)

  A list of the requested scaling activities.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `activities` - A list of the requested scaling activities.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.

### setNextToken

    public void setNextToken(String nextToken)

  Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` - Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.

### withNextToken

    public DescribeScalingActivitiesResult withNextToken(String nextToken)

  Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` - Acts as a paging mechanism for large result sets. Set to a non-empty string if there are additional results waiting to be returned. Pass this in to subsequent calls to return additional results.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.